Subject: Re: [EXT] Re: [PATCH net-next v1 1/2] octeon_ep: implement device unload control net API

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Nov 2023 13:54:50 -0800

On Tue, 28 Nov 2023 19:08:26 +0000 Shinas Rasheed wrote:
> > Yes, I think it went in before I had time to nack it.
> > I'm strongly against using the IP stack to talk to FW,
> > if you read the ML you would know it.
> > 
> > No new patches to octep_ctrl_net will be accepted.  
> 
> Control net doesn't use the IP stack at all. It's a simple
> producer-consumer based ring mechanism using PCIe BAR4 memory.
> Sorry maybe the nomenclature suggests something of that nature.

Ah, got it. I read that as "separate netdev for control", my bad.
Just one nit then:

>+	dev_info(&oct->pdev->dev, "Sending dev_unload msg to fw\n");

Is it really necessary to print this at info level for each remove?
Remove is a normal part of operation and we shouldn't spam logs
unless we have a good reason..